V3.0
get
/ec-dc-svc/rest/v3.0/studies/{studyId}/{mode}/subjecttransfers/subjects/{subjectId}
Retrieves the list of subject transfer records based on the subject ID.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
active -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
CDBBCCDDEEFF11223344556677889900 -
subjectId(required): string(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectTransferDto3
Represents a subject transfer between sites used for API rresponse bodies including version end.
Nested Schema : SubjectTransferDto3
Type:
objectRepresents a subject transfer between sites used for API rresponse bodies including version end.
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Additional comment or note about the subject transfer.Example:Moved subject to new site -
fromSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred from.Example:
938D23FA6B7241CCA41BD627E5DB60DA -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject transfer record.Example:
A1B2C3D4E5F64789AABBCCDDEEFF1122 -
newSubjectNumber: string
Minimum Length:
0Maximum Length:500New subject number after transfer or renumbering.Example:SUBJ-0001-NEW -
objectVersionNumber: number
Object version numberExample:
1 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
CREATED -
reason: string
Minimum Length:
0Maximum Length:255Reason for the subject transfer.Example:Site change -
softwareVersionNumber: number
Software version numberExample:
8 -
subjectId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject being transferred.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjectNumber: string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
toSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred to.Example:
699EF3745FC545589F186D2198F3C65E -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Timestamp representing the start of the version for this subject transfer record.Example:
2023-01-01T09:00:00Z
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object